// AntWarDlg.h : header file
//

#include "AntStatic.h"
#include "AntStatStatic.h"


#if !defined(AFX_ANTWARDLG_H__BED3EB2C_7C68_43E7_BD33_156D56BC2028__INCLUDED_)
#define AFX_ANTWARDLG_H__BED3EB2C_7C68_43E7_BD33_156D56BC2028__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CMainThread;

/////////////////////////////////////////////////////////////////////////////
// CAntWarDlg dialog

class CAntWarDlg : public CDialog
{
// Construction
public:
	CAntWarDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CAntWarDlg)
	enum { IDD = IDD_ANTWAR_DIALOG };
	CAntStatStatic	m_AntStatStatic;
	CEdit	m_stdoutCtrl;
	CListCtrl	m_TeamListCtrl;
	CAntStatic	m_AntStatic;
	CString	m_stdout;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAntWarDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	CFont stdoutFont;
	void Displaystdout();
	void FillTeams();


	CImageList *pImageList;
	CMainThread *pMainThread;
	void UpdateTeamInfo();
	void UpdateGameInfo();

	// Generated message map functions
	//{{AFX_MSG(CAntWarDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnKeydownListteamsctrl(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ANTWARDLG_H__BED3EB2C_7C68_43E7_BD33_156D56BC2028__INCLUDED_)
